Name:           crossfire-client
Version:        1.75.4
Release:        %mkrel 1
Summary:        Client for connecting to Crossfire game servers
Group:          Games/Adventure
License:        GPLv2+
URL:            https://crossfire.real-time.com/
Source0:        https://downloads.sourceforge.net/project/crossfire/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         crossfire-client-1.75.1-cmake-gamesdatadir.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(x11)
BuildRequires:  vala
Requires:       crossfire-client-data >= 1.71.0

%description
Crossfire is a free, open-source, cooperative multi-player RPG and adventure
game. Since its initial release, Crossfire has grown to encompass over 150
monsters, 3000 areas to explore, an elaborate magic system, 13 races, 15
character classes, and many powerful artifacts scattered far and wide. Set
in a fantastical medieval world, it blends the style of Gauntlet, NetHack,
Moria, and Angband.

This package allows you to connect to Crossfire servers around the world.

%prep
%autosetup -p1

%build
%cmake \
    -DBUILD_SHARED_LIBS=OFF \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog README.rst
%license COPYING
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}-gtk2
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/sounds/
%{_gamesdatadir}/%{name}/themes/
%{_gamesdatadir}/%{name}/ui/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Jul 20 2025 daviddavid <daviddavid> 1.75.4-1.mga10
+ Revision: 2257698
- new version: 1.75.4

* Thu Jul 03 2025 aurr <aurr> 1.75.3-2.mga10
+ Revision: 2244740
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Mon Jun 03 2024 daviddavid <daviddavid> 1.75.3-1.mga10
+ Revision: 2069594
- new version: 1.75.3

* Wed Sep 20 2023 daviddavid <daviddavid> 1.75.2-1.mga10
+ Revision: 1988655
- new version: 1.75.2

* Sat Apr 02 2022 umeabot <umeabot> 1.75.1-2.mga9
+ Revision: 1840108
- Mageia 9 Mass Rebuild

* Sun Jan 02 2022 akien <akien> 1.75.1-1.mga9
+ Revision: 1766250
- Version 1.75.1

* Mon Oct 19 2020 akien <akien> 1.74.0-1.mga8
+ Revision: 1636964
- Version 1.74.0

* Sat Feb 15 2020 umeabot <umeabot> 1.73.0-2.mga8
+ Revision: 1526116
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Apr 25 2019 akien <akien> 1.73.0-1.mga7
+ Revision: 1395264
- Version 1.73.0

* Sun Sep 23 2018 umeabot <umeabot> 1.71.0-5.mga7
+ Revision: 1296910
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.71.0-4.mga6
+ Revision: 933386
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.71.0-3.mga5
+ Revision: 745045
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.71.0-2.mga5
+ Revision: 678593
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 akien <akien> 1.71.0-1.mga5
+ Revision: 633140
- import source RPM inspired from Fedora and OpenMandriva SRPMs

